%define upstream_name HTTP-Tiny
%define upstream_version 0.070

Summary:    A small, simple, correct HTTP/1.1 client
Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    1
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl-devel
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Dir)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Time::Local)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a very simple HTTP/1.1 client, designed primarily for doing simple
GET requests without the overhead of a large framework like the
LWP::UserAgent manpage.

It is more correct and more complete than the HTTP::Lite manpage. It
supports proxies (currently only non-authenticating ones) and redirection.
It also correctly resumes after EINTR.

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/*

#-----------------------------------------------------

%prep
%setup -qn %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%changelog
